Last Comment Bug 786103 - Stagefright: Galaxy S III hardware decoder video is green (OMX_COLOR_FormatYUV420SemiPlanar)
: Stagefright: Galaxy S III hardware decoder video is green (OMX_COLOR_FormatYU...
Status: RESOLVED FIXED
[hwdecoder]
:
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: ARM Android
: P1 normal (vote)
: mozilla18
Assigned To: Chris Peterson [:cpeterson]
:
Mentors:
http://people.mozilla.org/~cpeterson/...
Depends on:
Blocks: 787227 767480 785275 785339
  Show dependency treegraph
 
Reported: 2012-08-27 16:37 PDT by Chris Peterson [:cpeterson]
Modified: 2012-09-10 16:41 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed


Attachments
Galaxy Note video playback (90.68 KB, image/jpeg)
2012-09-05 18:25 PDT, cajbir (:cajbir)
no flags Details
advance-aSrc-aDst-pointers.patch (1.30 KB, patch)
2012-09-06 18:14 PDT, Chris Peterson [:cpeterson]
roc: review+
kchen: feedback+
bajaj.bhavana: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Chris Peterson [:cpeterson] 2012-08-27 16:37:25 PDT
This is a color conversion regression in Nightly build 2012-08-27. The pushlog from build 08-26 to 08-27 is:
https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=b3cce81fef1a&tochange=8af6a22827ec

This bug is likely a regression from this changeset for bug 767480:
https://hg.mozilla.org/mozilla-central/rev/f26d6c5a2d93
Comment 1 cajbir (:cajbir) 2012-09-05 18:25:26 PDT
Created attachment 658710 [details]
Galaxy Note video playback

Same issue on the Galaxy Note 1 with hardware playback. Video is green with flickering in and out of non-green.
Comment 2 Chris Peterson [:cpeterson] 2012-09-06 18:14:02 PDT
Created attachment 659068 [details] [diff] [review]
advance-aSrc-aDst-pointers.patch

This bug is a regression from bug 767480:

https://hg.mozilla.org/mozilla-central/rev/f26d6c5a2d93

That fix inadvertently moved some pointer math out of CopyPlane()'s loops. Because the aSrc and aDst pointers where not advanced, the Cb and Cr planes were not copied for color formats that hit CopyPlane()'s slow path.

This patch fixes the green videos, but does not address related bug 785275.
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2012-09-06 18:19:15 PDT
Comment on attachment 659068 [details] [diff] [review]
advance-aSrc-aDst-pointers.patch

Review of attachment 659068 [details] [diff] [review]:
-----------------------------------------------------------------

oops
Comment 4 Chris Peterson [:cpeterson] 2012-09-07 14:37:57 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/f0f098ac4386
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-09-07 21:17:03 PDT
https://hg.mozilla.org/mozilla-central/rev/f0f098ac4386
Comment 6 Chris Peterson [:cpeterson] 2012-09-07 21:39:28 PDT
Comment on attachment 659068 [details] [diff] [review]
advance-aSrc-aDst-pointers.patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 767480 (which regressed Nightly 18 and Aurora 17)
User impact if declined: H264 videos may be green on some Android devices
Testing completed (on m-c, etc.): m-c
Risk to taking this patch (and alternatives if risky): Low risk. This patch just reverts a copy/paste typo in a video color conversion function.
String or UUID changes made by this patch: N/A
Comment 7 Chris Peterson [:cpeterson] 2012-09-10 16:41:51 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/8a23501c1cf0

Note You need to log in before you can comment on or make changes to this bug.